## org.apache.cassandra.io.sstable
Class SSTableMetadata

    java.lang.Object
      org.apache.cassandra.io.sstable.SSTableMetadata

    public class SSTableMetadata

extends java.lang.Object

Metadata for a SSTable. Metadata includes: - estimated row size histogram - estimated column count histogram - replay position - max column timestamp An SSTableMetadata should be instantiated via the Collector, openFromDescriptor() or createDefaultInstance()

Nested Class Summary
`static class` `SSTableMetadata.Collector`
`static class` `SSTableMetadata.SSTableMetadataSerializer`

Field Summary
`protected EstimatedHistogram` `estimatedColumnCount`
`protected EstimatedHistogram` `estimatedRowSize`
`protected long` `maxTimestamp`
`protected ReplayPosition` `replayPosition`
`static SSTableMetadata.SSTableMetadataSerializer` `serializer`

Method Summary
`static SSTableMetadata.Collector` `createCollector()`
`static SSTableMetadata` `createDefaultInstance()`
`EstimatedHistogram` `getEstimatedColumnCount()`
`EstimatedHistogram` `getEstimatedRowSize()`
`long` `getMaxTimestamp()`
`ReplayPosition` `getReplayPosition()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### estimatedRowSize

    protected final EstimatedHistogram estimatedRowSize

### estimatedColumnCount

    protected final EstimatedHistogram estimatedColumnCount

### replayPosition

    protected final ReplayPosition replayPosition

### maxTimestamp

    protected final long maxTimestamp

### serializer

    public static final SSTableMetadata.SSTableMetadataSerializer serializer

Method Detail

### createDefaultInstance

    public static SSTableMetadata createDefaultInstance()

### createCollector

    public static SSTableMetadata.Collector createCollector()

### getEstimatedRowSize

    public EstimatedHistogram getEstimatedRowSize()

### getEstimatedColumnCount

    public EstimatedHistogram getEstimatedColumnCount()

### getReplayPosition

    public ReplayPosition getReplayPosition()

### getMaxTimestamp

    public long getMaxTimestamp()

Copyright © 2011 The Apache Software Foundation